Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.hyades.logging.events
Interface IComponentIdentification

All Known Implementing Classes:
  ComponentIdentificationImpl

Deprecated. This class is deprecated as of 2004-05-17. Use the corresponding class available in org.eclipse.hyades.logging.events.cbe*

public interface IComponentIdentification

Taken from "Canonical Situation Data Format: The Common Base Event V1.0.1 ACAB.BO0301.0.1" In problem reporting there are two general categories of components that should be considered for problem diagnosis, the component observing and reporting the situation (reporter), and the actual component that is experiencing the situation (affected). Component Identification provides a collection of attributes required to uniquely identify a component. The same data is used to identify both the component that is reporting an event or situation and the component that is affected or experiencing the situation. In some cases, these components will be the same. For example, in a typical IT environment, commonly, the activities of applications running in that environment are often monitored using events received or collected from the applications via management agents or adapters. Example 1: Consider the case where a WebSphere application, called myWebApp, times out on a table query due to a DB2 server problem that is located on a remote system. The web app then issues an event indicating the failure situation. In this case, myWebApp is the 'affected' or the 'source' component. Example 2: Consider a case where there is application X running on a Windows server. The application encounters an error and adds an entry to the Widows error log. Then there is a separate application (ie: an adapter) that reads messages from the error log and generates a common base event and submits it. In this case the 'affected' or the 'source' of the event is the application X and the reporting component is the adapter that generated and submitted the event.

Since:
  1.0
Version:
  1.0.1
Author:
  Richard K. Duggan, Paul E. Slauenwhite

Field Summary
`static java.lang.String` | `COMPONENT_ID_TYPE_APPLICATION` Deprecated. Well-known type for the 'Component Id Type' attribute.
`static java.lang.String` | `COMPONENT_ID_TYPE_DEVICE_NAME` Deprecated. Well-known type for the 'Component Id Type' attribute.
`static java.lang.String` | `COMPONENT_ID_TYPE_PROCESS` Deprecated. Well-known type for the 'Component Id Type' attribute.
`static java.lang.String` | `COMPONENT_ID_TYPE_PRODUCT_NAME` Deprecated. Well-known type for the 'Component Id Type' attribute.
`static java.lang.String` | `COMPONENT_ID_TYPE_SERVICE_NAME` Deprecated. Well-known type for the 'Component Id Type' attribute.
`static java.lang.String` | `COMPONENT_ID_TYPE_SYSTEM_NAME` Deprecated. Well-known type for the 'Component Id Type' attribute.
`static java.lang.String` | `COMPONENT_ID_TYPE_UNKNOWN` Deprecated. Well-known type for the 'Component Id Type' attribute.
`static java.lang.String` | `LOCATION_TYPE_DCC` Deprecated. Well-known type for the 'Location Type' attribute.
`static java.lang.String` | `LOCATION_TYPE_DEVICE_NAME` Deprecated. Well-known type for the 'Location Type' attribute.
`static java.lang.String` | `LOCATION_TYPE_DIAL` Deprecated. Well-known type for the 'Location Type' attribute.
`static java.lang.String` | `LOCATION_TYPE_E_164` Deprecated. Well-known type for the 'Location Type' attribute.
`static java.lang.String` | `LOCATION_TYPE_FQ_HOSTNAME` Deprecated. Well-known type for the 'Location Type' attribute.
`static java.lang.String` | `LOCATION_TYPE_HID` Deprecated. Well-known type for the 'Location Type' attribute.
`static java.lang.String` | `LOCATION_TYPE_HOSTNAME` Deprecated. Well-known type for the 'Location Type' attribute.
`static java.lang.String` | `LOCATION_TYPE_HWA` Deprecated. Well-known type for the 'Location Type' attribute.
`static java.lang.String` | `LOCATION_TYPE_ICD` Deprecated. Well-known type for the 'Location Type' attribute.
`static java.lang.String` | `LOCATION_TYPE_IPV4` Deprecated. Well-known type for the 'Location Type' attribute.
`static java.lang.String` | `LOCATION_TYPE_IPV6` Deprecated. Well-known type for the 'Location Type' attribute.
`static java.lang.String` | `LOCATION_TYPE_IPX` Deprecated. Well-known type for the 'Location Type' attribute.
`static java.lang.String` | `LOCATION_TYPE_ISDN` Deprecated. Well-known type for the 'Location Type' attribute.
`static java.lang.String` | `LOCATION_TYPE_NWA` Deprecated. Well-known type for the 'Location Type' attribute.
`static java.lang.String` | `LOCATION_TYPE_OID_OSI` Deprecated. Well-known type for the 'Location Type' attribute.
`static java.lang.String` | `LOCATION_TYPE_SNA` Deprecated. Well-known type for the 'Location Type' attribute.
`static java.lang.String` | `LOCATION_TYPE_UNKNOWN` Deprecated. Well-known type for the 'Location Type' attribute.
`static java.lang.String` | `LOCATION_TYPE_X25` Deprecated. Well-known type for the 'Location Type' attribute.

Method Summary
`java.lang.String` | `getApplication()` Deprecated. Returns the application.
`java.lang.String` | `getComponent()` Deprecated. Returns the component.
`java.lang.String` | `getComponentIdType()` Deprecated. Returns the componentIdType.
`java.lang.String` | `getComponentType()` Deprecated. Returns the componentType.
`java.lang.String` | `getExecutionEnvironment()` Deprecated. Returns the executionEnvironment.
`java.lang.String` | `getInstanceId()` Deprecated. Returns the instanceId.
`java.lang.String` | `getLocation()` Deprecated. Returns the location.
`java.lang.String` | `getLocationType()` Deprecated. Returns the locationType.
`java.lang.String` | `getProcessId()` Deprecated. Returns the processId.
`java.lang.String` | `getSubComponent()` Deprecated. Returns the subComponent.
`java.lang.String` | `getThreadId()` Deprecated. Returns the threadId.
`void` | `init()` Deprecated. Resets the object's properties to their initial (e.g. null) state.
`void` | `setApplication(java.lang.String application)` Deprecated. Sets the application.
`void` | `setComponent(java.lang.String component)` Deprecated. Sets the component.
`void` | `setComponentIdType(java.lang.String componentIdType)` Deprecated. Sets the componentIdType.
`void` | `setComponentType(java.lang.String componentType)` Deprecated. Sets the componentType.
`void` | `setExecutionEnvironment(java.lang.String executionEnvironment)` Deprecated. Sets the executionEnvironment.
`void` | `setInstanceId(java.lang.String instanceId)` Deprecated. Sets the instanceId.
`void` | `setLocation(java.lang.String location)` Deprecated. Sets the location.
`void` | `setLocationType(java.lang.String locationType)` Deprecated. Sets the locationType.
`void` | `setProcessId(java.lang.String processId)` Deprecated. Sets the processId.
`void` | `setSubComponent(java.lang.String subComponent)` Deprecated. Sets the subComponent.
`void` | `setThreadId(java.lang.String threadId)` Deprecated. Sets the threadId.

Field Detail

### COMPONENT_ID_TYPE_PRODUCT_NAME

    public static final java.lang.String COMPONENT_ID_TYPE_PRODUCT_NAME

  Deprecated.
  Well-known type for the 'Component Id Type' attribute.

  See Also:
    `getComponentIdType()`, Constant Field Values

### COMPONENT_ID_TYPE_DEVICE_NAME

    public static final java.lang.String COMPONENT_ID_TYPE_DEVICE_NAME

  Deprecated.
  Well-known type for the 'Component Id Type' attribute.

  See Also:
    `getComponentIdType()`, Constant Field Values

### COMPONENT_ID_TYPE_SYSTEM_NAME

    public static final java.lang.String COMPONENT_ID_TYPE_SYSTEM_NAME

  Deprecated.
  Well-known type for the 'Component Id Type' attribute.

  See Also:
    `getComponentIdType()`, Constant Field Values

### COMPONENT_ID_TYPE_SERVICE_NAME

    public static final java.lang.String COMPONENT_ID_TYPE_SERVICE_NAME

  Deprecated.
  Well-known type for the 'Component Id Type' attribute.

  See Also:
    `getComponentIdType()`, Constant Field Values

### COMPONENT_ID_TYPE_PROCESS

    public static final java.lang.String COMPONENT_ID_TYPE_PROCESS

  Deprecated.
  Well-known type for the 'Component Id Type' attribute.

  See Also:
    `getComponentIdType()`, Constant Field Values

### COMPONENT_ID_TYPE_APPLICATION

    public static final java.lang.String COMPONENT_ID_TYPE_APPLICATION

  Deprecated.
  Well-known type for the 'Component Id Type' attribute.

  See Also:
    `getComponentIdType()`, Constant Field Values

### COMPONENT_ID_TYPE_UNKNOWN

    public static final java.lang.String COMPONENT_ID_TYPE_UNKNOWN

  Deprecated.
  Well-known type for the 'Component Id Type' attribute.

  See Also:
    `getComponentIdType()`, Constant Field Values

### LOCATION_TYPE_UNKNOWN

    public static final java.lang.String LOCATION_TYPE_UNKNOWN

  Deprecated.
  Well-known type for the 'Location Type' attribute.

  See Also:
    `getLocationType()`, Constant Field Values

### LOCATION_TYPE_IPV4

    public static final java.lang.String LOCATION_TYPE_IPV4

  Deprecated.
  Well-known type for the 'Location Type' attribute.

  See Also:
    `getLocationType()`, Constant Field Values

### LOCATION_TYPE_IPV6

    public static final java.lang.String LOCATION_TYPE_IPV6

  Deprecated.
  Well-known type for the 'Location Type' attribute.

  See Also:
    `getLocationType()`, Constant Field Values

### LOCATION_TYPE_NWA

    public static final java.lang.String LOCATION_TYPE_NWA

  Deprecated.
  Well-known type for the 'Location Type' attribute.

  See Also:
    `getLocationType()`, Constant Field Values

### LOCATION_TYPE_ISDN

    public static final java.lang.String LOCATION_TYPE_ISDN

  Deprecated.
  Well-known type for the 'Location Type' attribute.

  See Also:
    `getLocationType()`, Constant Field Values

### LOCATION_TYPE_ICD

    public static final java.lang.String LOCATION_TYPE_ICD

  Deprecated.
  Well-known type for the 'Location Type' attribute.

  See Also:
    `getLocationType()`, Constant Field Values

### LOCATION_TYPE_OID_OSI

    public static final java.lang.String LOCATION_TYPE_OID_OSI

  Deprecated.
  Well-known type for the 'Location Type' attribute.

  See Also:
    `getLocationType()`, Constant Field Values

### LOCATION_TYPE_DIAL

    public static final java.lang.String LOCATION_TYPE_DIAL

  Deprecated.
  Well-known type for the 'Location Type' attribute.

  See Also:
    `getLocationType()`, Constant Field Values

### LOCATION_TYPE_HWA

    public static final java.lang.String LOCATION_TYPE_HWA

  Deprecated.
  Well-known type for the 'Location Type' attribute.

  See Also:
    `getLocationType()`, Constant Field Values

### LOCATION_TYPE_HID

    public static final java.lang.String LOCATION_TYPE_HID

  Deprecated.
  Well-known type for the 'Location Type' attribute.

  See Also:
    `getLocationType()`, Constant Field Values

### LOCATION_TYPE_X25

    public static final java.lang.String LOCATION_TYPE_X25

  Deprecated.
  Well-known type for the 'Location Type' attribute.

  See Also:
    `getLocationType()`, Constant Field Values

### LOCATION_TYPE_DCC

    public static final java.lang.String LOCATION_TYPE_DCC

  Deprecated.
  Well-known type for the 'Location Type' attribute.

  See Also:
    `getLocationType()`, Constant Field Values

### LOCATION_TYPE_SNA

    public static final java.lang.String LOCATION_TYPE_SNA

  Deprecated.
  Well-known type for the 'Location Type' attribute.

  See Also:
    `getLocationType()`, Constant Field Values

### LOCATION_TYPE_IPX

    public static final java.lang.String LOCATION_TYPE_IPX

  Deprecated.
  Well-known type for the 'Location Type' attribute.

  See Also:
    `getLocationType()`, Constant Field Values

### LOCATION_TYPE_E_164

    public static final java.lang.String LOCATION_TYPE_E_164

  Deprecated.
  Well-known type for the 'Location Type' attribute.

  See Also:
    `getLocationType()`, Constant Field Values

### LOCATION_TYPE_HOSTNAME

    public static final java.lang.String LOCATION_TYPE_HOSTNAME

  Deprecated.
  Well-known type for the 'Location Type' attribute.

  See Also:
    `getLocationType()`, Constant Field Values

### LOCATION_TYPE_FQ_HOSTNAME

    public static final java.lang.String LOCATION_TYPE_FQ_HOSTNAME

  Deprecated.
  Well-known type for the 'Location Type' attribute.

  See Also:
    `getLocationType()`, Constant Field Values

### LOCATION_TYPE_DEVICE_NAME

    public static final java.lang.String LOCATION_TYPE_DEVICE_NAME

  Deprecated.
  Well-known type for the 'Location Type' attribute.

  See Also:
    `getLocationType()`, Constant Field Values

Method Detail

### getApplication

    public java.lang.String getApplication()

  Deprecated.
  Returns the application. The name of the application (e.g, myWebApp). This is an optional property. The application version information may be appended to the end of the component separated by a # character. This is an OPTIONAL property. The maximum string length for the application name MUST not exceed 255 bytes.

  Returns:
    String

### getComponent

    public java.lang.String getComponent()

  Deprecated.
  Returns the component. Specifies the logical identity of a component. This property MUST contain the name of a particular application, product, or subsystem (e.g., IBM DB2# V7.1). This value SHOULD be unique within the scope specified by the location. The component version information may be appended to the end of the component separated by a # character. This is a REQUIRED property. The maximum string length for the component name MUST not exceed 255 bytes.

  Returns:
    String

### getExecutionEnvironment

    public java.lang.String getExecutionEnvironment()

  Deprecated.
  Returns the executionEnvironment. This property identifies the immediate environment that an application is running in. For example, a WebSphere Application Server name: cell:node:server. The executionEnvironment version information may be appended to the end of the component separated by a # character. This is an OPTIONAL property. The maximum string length for executionEnvironment MUST not exceed 255 bytes.

  Returns:
    String

### getInstanceId

    public java.lang.String getInstanceId()

  Deprecated.
  Returns the instanceId. Specifies a handle or identifier for the instance of the component that is specified by the component property i.e., Grid Service Handle(GSH) and EJBHandle. This is an OPTIONAL property. The maximum string length for instanceId MUST not exceed 128 bytes.

  Returns:
    String

### getLocation

    public java.lang.String getLocation()

  Deprecated.
  Returns the location. Specifies the physical address corresponding to the location of a component. For example, hostname, IP address, or VTAM LU. The format of the value of the location is specified by the locationType property. The preferred value is a fully qualified hostname. This value should be unique within the network capable of raising events to a specified receiver. For example, if an adapter were monitoring a router, this attribute would contain the IP address of the machine where the adapter resides, not the IP address of the router that is having the problem. This is a REQUIRED property. The maximum string length for location MUST not exceed 255 bytes.

  Returns:
    String

### getLocationType

    public java.lang.String getLocationType()

  Deprecated.
  Returns the locationType. Specifies the format and meaning of the value in the location property. The well-known reserved keywords for this property are: 1. Unknown 2. IPV4 3. IPV6 4. NWA 5. ISDN 6. ICD 7. OID/OSI 8. Dial 9. HWA 10. HID 11. X25 12. DCC 13. SNA 14. IPX 15. E.164 16. Hostname 17. FQHostname 18. Devicename This is a REQUIRED property. The maximum string length for locationType MUST not exceed 32 bytes. The default value is 'Unknown'.

  Returns:
    String

### getProcessId

    public java.lang.String getProcessId()

  Deprecated.
  Returns the processId. This property identifies the process ID of the running component or subcomponent that generated the event. This is an OPTIONAL property and there is no default value. The maximum string length for processId MUST not exceed 64 bytes.

  Returns:
    String

### getSubComponent

    public java.lang.String getSubComponent()

  Deprecated.
  Returns the subComponent. Specifies a further delineation for the logical component property of the event. It SHOULD contain the identity of the subcomponent of the component property. This property can be one of the various parts of an application or OS resource e.g., a module name, a class name, a class and method name. It should be the most granular definition specified in the event. The subcomponent version information may be appended to the end of the subcomponent separated by a # character. This is a REQUIRED property. The maximum string length for the subComponent name MUST not exceed 255 bytes.

  Returns:
    String

### getThreadId

    public java.lang.String getThreadId()

  Deprecated.
  Returns the threadId. This property identifies the thread ID of the component or subcomponent that generated the event. This value changes with every new thread spawned by the process identified by the processId. This is an OPTIONAL property and there is no default value. The maximum string length for threadId MUST not exceed 64 bytes.

  Returns:
    String

### setApplication

    public void setApplication(java.lang.String application)

  Deprecated.
  Sets the application. The name of the application (e.g, myWebApp). This is an optional property. The application version information may be appended to the end of the component separated by a # character. This is an OPTIONAL property. The maximum string length for the application name MUST not exceed 255 bytes.

  Parameters:
    `application` - The application to set

### setComponent

    public void setComponent(java.lang.String component)

  Deprecated.
  Sets the component. Specifies the logical identity of a component. This property MUST contain the name of a particular application, product, or subsystem (e.g., IBM DB2# V7.1). This value SHOULD be unique within the scope specified by the location. The component version information may be appended to the end of the component separated by a # character. This is a REQUIRED property. The maximum string length for the component name MUST not exceed 255 bytes.

  Parameters:
    `component` - The component to set

### setExecutionEnvironment

    public void setExecutionEnvironment(java.lang.String executionEnvironment)

  Deprecated.
  Sets the executionEnvironment. This property identifies the immediate environment that an application is running in. For example, a WebSphere Application Server name: cell:node:server. The executionEnvironment version information may be appended to the end of the component separated by a # character. This is an OPTIONAL property. The maximum string length for executionEnvironment MUST not exceed 255 bytes.

  Parameters:
    `executionEnvironment` - The executionEnvironment to set

### setInstanceId

    public void setInstanceId(java.lang.String instanceId)

  Deprecated.
  Sets the instanceId. Specifies a handle or identifier for the instance of the component that is specified by the component property i.e., Grid Service Handle(GSH) and EJBHandle. This is an OPTIONAL property. The maximum string length for instanceId MUST not exceed 128 bytes.

  Parameters:
    `instanceId` - The instanceId to set

### setLocation

    public void setLocation(java.lang.String location)

  Deprecated.
  Sets the location. Specifies the physical address corresponding to the location of a component. For example, hostname, IP address, or VTAM LU. The format of the value of the location is specified by the locationType property. The preferred value is a fully qualified hostname. This value should be unique within the network capable of raising events to a specified receiver. For example, if an adapter were monitoring a router, this attribute would contain the IP address of the machine where the adapter resides, not the IP address of the router that is having the problem. This is a REQUIRED property. The maximum string length for location MUST not exceed 255 bytes.

  Parameters:
    `location` - The location to set

### setLocationType

    public void setLocationType(java.lang.String locationType)

  Deprecated.
  Sets the locationType. Specifies the format and meaning of the value in the location property. The well-known reserved keywords for this property are: 1. Unknown 2. IPV4 3. IPV6 4. NWA 5. ISDN 6. ICD 7. OID/OSI 8. Dial 9. HWA 10. HID 11. X25 12. DCC 13. SNA 14. IPX 15. E.164 16. Hostname 17. FQHostname 18. Devicename This is a REQUIRED property. The maximum string length for locationType MUST not exceed 32 bytes. The default value is 'Unknown'.

  Parameters:
    `locationType` - The locationType to set

### setProcessId

    public void setProcessId(java.lang.String processId)

  Deprecated.
  Sets the processId. This property identifies the process ID of the running component or subcomponent that generated the event. This is an OPTIONAL property and there is no default value. The maximum string length for processId MUST not exceed 64 bytes.

  Parameters:
    `processId` - The processId to set

### setSubComponent

    public void setSubComponent(java.lang.String subComponent)

  Deprecated.
  Sets the subComponent. Specifies a further delineation for the logical component property of the event. It SHOULD contain the identity of the subcomponent of the component property. This property can be one of the various parts of an application or OS resource e.g., a module name, a class name, a class and method name. It should be the most granular definition specified in the event. The subcomponent version information may be appended to the end of the subcomponent separated by a # character. This is a REQUIRED property. The maximum string length for the subComponent name MUST not exceed 255 bytes.

  Parameters:
    `subComponent` - The subComponent to set

### setThreadId

    public void setThreadId(java.lang.String threadId)

  Deprecated.
  Sets the threadId. This property identifies the thread ID of the component or subcomponent that generated the event. This value changes with every new thread spawned by the process identified by the processId. This is an OPTIONAL property and there is no default value. The maximum string length for threadId MUST not exceed 64 bytes.

  Parameters:
    `threadId` - The threadId to set

### getComponentIdType

    public java.lang.String getComponentIdType()

  Deprecated.
  Returns the componentIdType. Specifies the format and meaning of the component identified by this componentIdentification. The nonexclusive reserved keywords for this property are: 1. ProductName 2. DeviceName 3. SystemName 4. ServiceName 5. Process 6. Application 7. Unknown This is a REQUIRED property. The maximum string length for componentIdType MUST not exceed 32 bytes. The default value is 'Unknown'.

  Returns:
    String

### setComponentIdType

    public void setComponentIdType(java.lang.String componentIdType)

  Deprecated.
  Sets the componentIdType. Specifies the format and meaning of the component identified by this componentIdentification. The nonexclusive reserved keywords for this property are: 1. ProductName 2. DeviceName 3. SystemName 4. ServiceName 5. Process 6. Application 7. Unknown This is a REQUIRED property. The maximum string length for componentIdType MUST not exceed 32 bytes. The default value is 'Unknown'.

  Parameters:
    `componentIdType` - The componentIdType to set

### init

    public void init()

  Deprecated.
  Resets the object's properties to their initial (e.g. null) state.

### setComponentType

    public void setComponentType(java.lang.String componentType)

  Deprecated.
  Sets the componentType. The componentType is a well-defined name that is used to characterize all instances of a given kind of component. This property is REQUIRED property. The maximum string length for componentType MUST NOT exceed 512 characters.

  Parameters:
    `componentType` - The componentType to be set.
  Since:
    1.0.1

### getComponentType

    public java.lang.String getComponentType()

  Deprecated.
  Returns the componentType. The componentType is a well-defined name that is used to characterize all instances of a given kind of component. This property is REQUIRED property. The maximum string length for componentType MUST NOT exceed 512 characters.

  Returns:
    String The returned componentType.
  Since:
    1.0.1

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD